- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends

# QFontDatabase Class Reference

Search for all occurrences

## Detailed Description

Definition at line 66 of file qfontdatabase.h.

`#include <qfontdatabase.h>`

List of all members.

## Public Types
enum | WritingSystem { Any, Latin, Greek, Cyrillic, Armenian, Hebrew, Arabic, Syriac, Thaana, Devanagari, Bengali, Gurmukhi, Gujarati, Oriya, Tamil, Telugu, Kannada, Malayalam, Sinhala, Thai, Lao, Tibetan, Myanmar, Georgian, Khmer, SimplifiedChinese, TraditionalChinese, Japanese, Korean, Vietnamese, Symbol, Other = Symbol, Ogham, Runic, Nko, WritingSystemsCount }
## Public Member Functions
| QFontDatabase ()
QList< WritingSystem > | writingSystems () const
QList< WritingSystem > | writingSystems (const QString &family) const
QStringList | families (WritingSystem writingSystem=Any) const
QStringList | styles (const QString &family) const
QList< int > | pointSizes (const QString &family, const QString &style=QString())
QList< int > | smoothSizes (const QString &family, const QString &style)
QString | styleString (const QFont &font)
QString | styleString (const QFontInfo &fontInfo)
QFont | font (const QString &family, const QString &style, int pointSize) const
bool | isBitmapScalable (const QString &family, const QString &style=QString()) const
bool | isSmoothlyScalable (const QString &family, const QString &style=QString()) const
bool | isScalable (const QString &family, const QString &style=QString()) const
bool | isFixedPitch (const QString &family, const QString &style=QString()) const
bool | italic (const QString &family, const QString &style) const
bool | bold (const QString &family, const QString &style) const
int | weight (const QString &family, const QString &style) const
## Static Public Member Functions
static QList< int > | standardSizes ()
static QString | writingSystemName (WritingSystem writingSystem)
static QString | writingSystemSample (WritingSystem writingSystem)
static int | addApplicationFont (const QString &fileName)
static int | addApplicationFontFromData (const QByteArray &fontData)
static QStringList | applicationFontFamilies (int id)
static bool | removeApplicationFont (int id)
static bool | removeAllApplicationFonts ()
static bool | supportsThreadedFontRendering ()
## Friends
struct | QFontDef
class | QFontPrivate
class | QFontDialog
class | QFontDialogPrivate
class | QFontEngineMultiXLFD
class | QFontEngineMultiQWS
class | QFontEngineMultiS60

## Member Enumeration Documentation

enum WritingSystem

Search for all occurrences

Enumerator:

  Any | Search for all occurrences
  Latin | Search for all occurrences
  Greek | Search for all occurrences
  Cyrillic | Search for all occurrences
  Armenian | Search for all occurrences
  Hebrew | Search for all occurrences
  Arabic | Search for all occurrences
  Syriac | Search for all occurrences
  Thaana | Search for all occurrences
  Devanagari | Search for all occurrences
  Bengali | Search for all occurrences
  Gurmukhi | Search for all occurrences
  Gujarati | Search for all occurrences
  Oriya | Search for all occurrences
  Tamil | Search for all occurrences
  Telugu | Search for all occurrences
  Kannada | Search for all occurrences
  Malayalam | Search for all occurrences
  Sinhala | Search for all occurrences
  Thai | Search for all occurrences
  Lao | Search for all occurrences
  Tibetan | Search for all occurrences
  Myanmar | Search for all occurrences
  Georgian | Search for all occurrences
  Khmer | Search for all occurrences
  SimplifiedChinese | Search for all occurrences
  TraditionalChinese | Search for all occurrences
  Japanese | Search for all occurrences
  Korean | Search for all occurrences
  Vietnamese | Search for all occurrences
  Symbol | Search for all occurrences
  Other | Search for all occurrences
  Ogham | Search for all occurrences
  Runic | Search for all occurrences
  Nko | Search for all occurrences
  WritingSystemsCount | Search for all occurrences

Definition at line 73 of file qfontdatabase.h.

                           {
            Any,

            Latin,
            Greek,
            Cyrillic,
            Armenian,
            Hebrew,
            Arabic,
            Syriac,
            Thaana,
            Devanagari,
            Bengali,
            Gurmukhi,
            Gujarati,
            Oriya,
            Tamil,
            Telugu,
            Kannada,
            Malayalam,
            Sinhala,
            Thai,
            Lao,
            Tibetan,
            Myanmar,
            Georgian,
            Khmer,
            SimplifiedChinese,
            TraditionalChinese,
            Japanese,
            Korean,
            Vietnamese,

            Symbol,
            Other = Symbol,

            Ogham,
            Runic,
            Nko,

            WritingSystemsCount
        };

## Constructor & Destructor Documentation

QFontDatabase | ( |  | ) |

## Member Function Documentation

static QList<int> standardSizes | ( |  | ) | `[static]`

Search for all occurrences

QList<WritingSystem> writingSystems | ( |  | ) | const

Search for all occurrences

QList<WritingSystem> writingSystems | ( | const QString & | family | ) | const

Search for all occurrences

QStringList families | ( | WritingSystem | writingSystem = `Any` | ) | const

Search for all occurrences

QStringList styles | ( | const QString & | family | ) | const

Search for all occurrences

QList<int> pointSizes | ( | const QString & | family,
|  | const QString & | style = `QString()`
| ) |  |

Search for all occurrences

QList<int> smoothSizes | ( | const QString & | family,
|  | const QString & | style
| ) |  |

Search for all occurrences

QString styleString | ( | const QFont & | font | ) |

Search for all occurrences

QString styleString | ( | const QFontInfo & | fontInfo | ) |

Search for all occurrences

QFont font | ( | const QString & | family,
|  | const QString & | style,
|  | int | pointSize
| ) |  | const

Search for all occurrences

bool isBitmapScalable | ( | const QString & | family,
|  | const QString & | style = `QString()`
| ) |  | const

Search for all occurrences

bool isSmoothlyScalable | ( | const QString & | family,
|  | const QString & | style = `QString()`
| ) |  | const

Search for all occurrences

bool isScalable | ( | const QString & | family,
|  | const QString & | style = `QString()`
| ) |  | const

Search for all occurrences

bool isFixedPitch | ( | const QString & | family,
|  | const QString & | style = `QString()`
| ) |  | const

Search for all occurrences

bool italic | ( | const QString & | family,
|  | const QString & | style
| ) |  | const

Search for all occurrences

bool bold | ( | const QString & | family,
|  | const QString & | style
| ) |  | const

Search for all occurrences

int weight | ( | const QString & | family,
|  | const QString & | style
| ) |  | const

Search for all occurrences

static QString writingSystemName | ( | WritingSystem | writingSystem | ) | `[static]`

Search for all occurrences

static QString writingSystemSample | ( | WritingSystem | writingSystem | ) | `[static]`

Search for all occurrences

static int addApplicationFont | ( | const QString & | fileName | ) | `[static]`

Search for all occurrences

static int addApplicationFontFromData | ( | const QByteArray & | fontData | ) | `[static]`

Search for all occurrences

static QStringList applicationFontFamilies | ( | int | id | ) | `[static]`

Search for all occurrences

static bool removeApplicationFont | ( | int | id | ) | `[static]`

Search for all occurrences

static bool removeAllApplicationFonts | ( |  | ) | `[static]`

Search for all occurrences

static bool supportsThreadedFontRendering | ( |  | ) | `[static]`

Search for all occurrences

## Friends And Related Function Documentation

friend struct QFontDef `[friend]`

Search for all occurrences

Definition at line 163 of file qfontdatabase.h.

friend class QFontPrivate `[friend]`

Search for all occurrences

Definition at line 164 of file qfontdatabase.h.

friend class QFontDialog `[friend]`

Search for all occurrences

Definition at line 165 of file qfontdatabase.h.

friend class QFontDialogPrivate `[friend]`

Search for all occurrences

Definition at line 166 of file qfontdatabase.h.

friend class QFontEngineMultiXLFD `[friend]`

Search for all occurrences

Definition at line 167 of file qfontdatabase.h.

friend class QFontEngineMultiQWS `[friend]`

Search for all occurrences

Definition at line 168 of file qfontdatabase.h.

friend class QFontEngineMultiS60 `[friend]`

Search for all occurrences

Definition at line 169 of file qfontdatabase.h.

The documentation for this class was generated from the following file:

- QtGui/qfontdatabase.h

QFontDatabase QFontDatabase QFontDatabase QFontDatabase QFontDatabase QFontDatabase QFontDatabase QFontDatabase QFontDatabase QFontDatabase
QFontDatabase QFontDatabase QFontDatabase QFontDatabase QFontDatabase QFontDatabase QFontDatabase QFontDatabase QFontDatabase QFontDatabase